Subject: Re: bug#14473: 24.3; emacs locks up when eshell attempts to display a dialog

From: Stefan Kangas <[email-masked]>
Date: Mon, 14 Oct 2019 21:34:16 +0200

Joseph Mingrone <[email-masked]> writes:

> Switching to term mode by adding ("make" "config") `to
> eshell-visual-subcommands' does now work, so I think this bug can be
> closed.

Thanks for verifying that it solves the problem.

> Running `make config` was more common in the past, but many FreeBSD
> users now install pre-built packages or build their own packages with
> tools on top of the ports tree.  I am less familiar with OpenBSD, but am
> relatively confident that most OpenBSD users install pre-built packages.
> Another complication is that many users would run this as `sudo make
> config` or `doas make config` on OpenBSD.

Perhaps we should leave the default alone then.  I'm consequently
closing the bug report.

Best regards,
Stefan Kangas